Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlys.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlys.F90	(revision 9125)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zlys.F90	(revision 9169)
@@ -29,13 +29,10 @@
    PUBLIC   p4z_lys_init    ! called in trcsms_pisces.F90
 
-   !! * Shared module variables
-   REAL(wp), PUBLIC :: kdca !: diss. rate constant calcite
-   REAL(wp), PUBLIC :: nca  !: order of reaction for calcite dissolution
+   REAL(wp), PUBLIC ::   kdca   !: diss. rate constant calcite
+   REAL(wp), PUBLIC ::   nca    !: order of reaction for calcite dissolution
 
-   !! * Module variables
-   REAL(wp) :: calcon = 1.03E-2           !: mean calcite concentration [Ca2+] in sea water [mole/kg solution]
+   INTEGER  ::   rmtss              ! number of seconds per month 
+   REAL(wp) ::   calcon = 1.03E-2   ! mean calcite concentration [Ca2+] in sea water [mole/kg solution]
  
-   INTEGER  :: rmtss                      !: number of seconds per month 
-
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
@@ -56,11 +53,11 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
+      INTEGER, INTENT(in) ::   kt, knt   ! ocean time step and ???
       !
-      INTEGER, INTENT(in) ::   kt, knt ! ocean time step
       INTEGER  ::   ji, jj, jk, jn
       REAL(wp) ::   zdispot, zfact, zcalcon
       REAL(wp) ::   zomegaca, zexcess, zexcess0
-      CHARACTER (len=25) :: charout
-      REAL(wp), DIMENSION(jpi,jpj,jpk) :: zco3, zcaldiss, zhinit, zhi, zco3sat
+      CHARACTER (len=25) ::   charout
+      REAL(wp), DIMENSION(jpi,jpj,jpk) ::   zco3, zcaldiss, zhinit, zhi, zco3sat
       !!---------------------------------------------------------------------
       !
@@ -69,10 +66,11 @@
       zco3    (:,:,:) = 0.
       zcaldiss(:,:,:) = 0.
-      zhinit(:,:,:)   = hi(:,:,:) * 1000. / ( rhop(:,:,:) + rtrn )
+      zhinit  (:,:,:) = hi(:,:,:) * 1000. / ( rhop(:,:,:) + rtrn )
+      !
       !     -------------------------------------------
       !     COMPUTE [CO3--] and [H+] CONCENTRATIONS
       !     -------------------------------------------
 
-      CALL solve_at_general(zhinit, zhi)
+      CALL solve_at_general( zhinit, zhi )
 
       DO jk = 1, jpkm1
@@ -80,6 +78,6 @@
             DO ji = 1, jpi
                zco3(ji,jj,jk) = trb(ji,jj,jk,jpdic) * ak13(ji,jj,jk) * ak23(ji,jj,jk) / (zhi(ji,jj,jk)**2   &
-               &                + ak13(ji,jj,jk) * zhi(ji,jj,jk) + ak13(ji,jj,jk) * ak23(ji,jj,jk) + rtrn )
-               hi(ji,jj,jk)   = zhi(ji,jj,jk) * rhop(ji,jj,jk) / 1000.
+                  &             + ak13(ji,jj,jk) * zhi(ji,jj,jk) + ak13(ji,jj,jk) * ak23(ji,jj,jk) + rtrn )
+               hi  (ji,jj,jk) = zhi(ji,jj,jk) * rhop(ji,jj,jk) / 1000.
             END DO
          END DO
@@ -158,20 +156,22 @@
       NAMELIST/nampiscal/ kdca, nca
       !!----------------------------------------------------------------------
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'p4z_lys_init : initialization of CaCO3 dissolution'
+         WRITE(numout,*) '~~~~~~~~~~~~'
+      ENDIF
       !
       REWIND( numnatp_ref )              ! Namelist nampiscal in reference namelist : Pisces CaCO3 dissolution
       READ  ( numnatp_ref, nampiscal, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampiscal in reference namelist', lwp )
-      !
+901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'nampiscal in reference namelist', lwp )
       REWIND( numnatp_cfg )              ! Namelist nampiscal in configuration namelist : Pisces CaCO3 dissolution
       READ  ( numnatp_cfg, nampiscal, IOSTAT = ios, ERR = 902 )
-902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampiscal in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, nampiscal )
+902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nampiscal in configuration namelist', lwp )
+      IF(lwm) WRITE( numonp, nampiscal )
       !
       IF(lwp) THEN                         ! control print
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' Namelist parameters for CaCO3 dissolution, nampiscal'
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
-         WRITE(numout,*) '    diss. rate constant calcite (per month)   kdca      =', kdca
-         WRITE(numout,*) '    order of reaction for calcite dissolution nca       =', nca
+         WRITE(numout,*) '   Namelist : nampiscal'
+         WRITE(numout,*) '      diss. rate constant calcite (per month)        kdca =', kdca
+         WRITE(numout,*) '      order of reaction for calcite dissolution      nca  =', nca
       ENDIF
       !
@@ -180,4 +180,5 @@
       !
    END SUBROUTINE p4z_lys_init
+
    !!======================================================================
 END MODULE p4zlys
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmeso.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmeso.F90	(revision 9125)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmeso.F90	(revision 9169)
@@ -8,13 +8,13 @@
    !!             3.4  !  2011-06  (O. Aumont, C. Ethe) Quota model for iron
    !!----------------------------------------------------------------------
-   !!   p4z_meso       :   Compute the sources/sinks for mesozooplankton
-   !!   p4z_meso_init  :   Initialization of the parameters for mesozooplankton
-   !!----------------------------------------------------------------------
-   USE oce_trc         !  shared variables between ocean and passive tracers
-   USE trc             !  passive tracers common variables 
-   USE sms_pisces      !  PISCES Source Minus Sink variables
-   USE p4zprod         !  production
-   USE prtctl_trc      !  print control for debugging
-   USE iom             !  I/O manager
+   !!   p4z_meso       : Compute the sources/sinks for mesozooplankton
+   !!   p4z_meso_init  : Initialization of the parameters for mesozooplankton
+   !!----------------------------------------------------------------------
+   USE oce_trc         ! shared variables between ocean and passive tracers
+   USE trc             ! passive tracers common variables 
+   USE sms_pisces      ! PISCES Source Minus Sink variables
+   USE p4zprod         ! production
+   USE prtctl_trc      ! print control for debugging
+   USE iom             ! I/O manager
 
    IMPLICIT NONE
@@ -24,5 +24,4 @@
    PUBLIC   p4z_meso_init         ! called in trcsms_pisces.F90
 
-   !! * Shared module variables
    REAL(wp), PUBLIC ::  part2        !: part of calcite not dissolved in mesozoo guts
    REAL(wp), PUBLIC ::  xprefc       !: mesozoo preference for POC 
@@ -49,5 +48,4 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -60,5 +58,6 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
-      INTEGER, INTENT(in) ::   kt, knt ! ocean time step
+      INTEGER, INTENT(in) ::   kt, knt   ! ocean time step and ???
+      !
       INTEGER  :: ji, jj, jk
       REAL(wp) :: zcompadi, zcompaph, zcompapoc, zcompaz, zcompam
@@ -73,6 +72,5 @@
       CHARACTER (len=25) :: charout
       REAL(wp), DIMENSION(jpi,jpj,jpk) :: zgrazing
-      REAL(wp), ALLOCATABLE, DIMENSION(:,:,:) :: zw3d
-
+      REAL(wp), ALLOCATABLE, DIMENSION(:,:,:) ::   zw3d
       !!---------------------------------------------------------------------
       !
@@ -122,5 +120,4 @@
 
                !  Mesozooplankton flux feeding on GOC
-               !  ----------------------------------
                !  ----------------------------------
                zgrazffeg = grazflux  * xstep * wsbio4(ji,jj,jk)      &
@@ -253,5 +250,4 @@
       !!
       !! ** input   :   Namelist nampismes
-      !!
       !!----------------------------------------------------------------------
       INTEGER ::   ios   ! Local integer
@@ -262,35 +258,38 @@
       !!----------------------------------------------------------------------
       !
+      IF(lwp) THEN
+         WRITE(numout,*) 
+         WRITE(numout,*) 'p4z_meso_init : Initialization of mesozooplankton parameters'
+         WRITE(numout,*) '~~~~~~~~~~~~~'
+      ENDIF
+      !
       REWIND( numnatp_ref )              ! Namelist nampismes in reference namelist : Pisces mesozooplankton
       READ  ( numnatp_ref, namp4zmes, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp4zmes in reference namelist', lwp )
-      !
+901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namp4zmes in reference namelist', lwp )
       REWIND( numnatp_cfg )              ! Namelist nampismes in configuration namelist : Pisces mesozooplankton
       READ  ( numnatp_cfg, namp4zmes, IOSTAT = ios, ERR = 902 )
-902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namp4zmes in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, namp4zmes )
+902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namp4zmes in configuration namelist', lwp )
+      IF(lwm) WRITE( numonp, namp4zmes )
       !
       IF(lwp) THEN                         ! control print
-         WRITE(numout,*) ' ' 
-         WRITE(numout,*) ' Namelist parameters for mesozooplankton, namp4zmes'
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
-         WRITE(numout,*) '    part of calcite not dissolved in mesozoo guts  part2        =', part2
-         WRITE(numout,*) '    mesozoo preference for phyto                   xprefc       =', xprefc
-         WRITE(numout,*) '    mesozoo preference for POC                     xprefp       =', xprefp
-         WRITE(numout,*) '    mesozoo preference for zoo                     xprefz       =', xprefz
-         WRITE(numout,*) '    mesozoo preference for poc                     xprefpoc     =', xprefpoc
-         WRITE(numout,*) '    microzoo feeding threshold  for mesozoo        xthresh2zoo  =', xthresh2zoo
-         WRITE(numout,*) '    diatoms feeding threshold  for mesozoo         xthresh2dia  =', xthresh2dia
-         WRITE(numout,*) '    nanophyto feeding threshold for mesozoo        xthresh2phy  =', xthresh2phy
-         WRITE(numout,*) '    poc feeding threshold for mesozoo              xthresh2poc  =', xthresh2poc
-         WRITE(numout,*) '    feeding threshold for mesozooplankton          xthresh2     =', xthresh2
-         WRITE(numout,*) '    exsudation rate of mesozooplankton             resrat2      =', resrat2
-         WRITE(numout,*) '    mesozooplankton mortality rate                 mzrat2       =', mzrat2
-         WRITE(numout,*) '    maximal mesozoo grazing rate                   grazrat2     =', grazrat2
-         WRITE(numout,*) '    mesozoo flux feeding rate                      grazflux     =', grazflux
-         WRITE(numout,*) '    non assimilated fraction of P by mesozoo       unass2       =', unass2
-         WRITE(numout,*) '    Efficicency of Mesozoo growth                  epsher2      =', epsher2
-         WRITE(numout,*) '    Fraction of mesozoo excretion as DOM           sigma2       =', sigma2
-         WRITE(numout,*) '    half sturation constant for grazing 2          xkgraz2      =', xkgraz2
+         WRITE(numout,*) '   Namelist : namp4zmes'
+         WRITE(numout,*) '      part of calcite not dissolved in mesozoo guts  part2        =', part2
+         WRITE(numout,*) '      mesozoo preference for phyto                   xprefc       =', xprefc
+         WRITE(numout,*) '      mesozoo preference for POC                     xprefp       =', xprefp
+         WRITE(numout,*) '      mesozoo preference for zoo                     xprefz       =', xprefz
+         WRITE(numout,*) '      mesozoo preference for poc                     xprefpoc     =', xprefpoc
+         WRITE(numout,*) '      microzoo feeding threshold  for mesozoo        xthresh2zoo  =', xthresh2zoo
+         WRITE(numout,*) '      diatoms feeding threshold  for mesozoo         xthresh2dia  =', xthresh2dia
+         WRITE(numout,*) '      nanophyto feeding threshold for mesozoo        xthresh2phy  =', xthresh2phy
+         WRITE(numout,*) '      poc feeding threshold for mesozoo              xthresh2poc  =', xthresh2poc
+         WRITE(numout,*) '      feeding threshold for mesozooplankton          xthresh2     =', xthresh2
+         WRITE(numout,*) '      exsudation rate of mesozooplankton             resrat2      =', resrat2
+         WRITE(numout,*) '      mesozooplankton mortality rate                 mzrat2       =', mzrat2
+         WRITE(numout,*) '      maximal mesozoo grazing rate                   grazrat2     =', grazrat2
+         WRITE(numout,*) '      mesozoo flux feeding rate                      grazflux     =', grazflux
+         WRITE(numout,*) '      non assimilated fraction of P by mesozoo       unass2       =', unass2
+         WRITE(numout,*) '      Efficicency of Mesozoo growth                  epsher2      =', epsher2
+         WRITE(numout,*) '      Fraction of mesozoo excretion as DOM           sigma2       =', sigma2
+         WRITE(numout,*) '      half sturation constant for grazing 2          xkgraz2      =', xkgraz2
       ENDIF
       !
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmicro.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmicro.F90	(revision 9125)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmicro.F90	(revision 9169)
@@ -8,14 +8,14 @@
    !!             3.4  !  2011-06  (O. Aumont, C. Ethe) Quota model for iron
    !!----------------------------------------------------------------------
-   !!   p4z_micro       :   Compute the sources/sinks for microzooplankton
-   !!   p4z_micro_init  :   Initialize and read the appropriate namelist
-   !!----------------------------------------------------------------------
-   USE oce_trc         !  shared variables between ocean and passive tracers
-   USE trc             !  passive tracers common variables 
-   USE sms_pisces      !  PISCES Source Minus Sink variables
-   USE p4zlim          !  Co-limitations
-   USE p4zprod         !  production
-   USE iom             !  I/O manager
-   USE prtctl_trc      !  print control for debugging
+   !!   p4z_micro      : Compute the sources/sinks for microzooplankton
+   !!   p4z_micro_init : Initialize and read the appropriate namelist
+   !!----------------------------------------------------------------------
+   USE oce_trc         ! shared variables between ocean and passive tracers
+   USE trc             ! passive tracers common variables 
+   USE sms_pisces      ! PISCES Source Minus Sink variables
+   USE p4zlim          ! Co-limitations
+   USE p4zprod         ! production
+   USE iom             ! I/O manager
+   USE prtctl_trc      ! print control for debugging
 
    IMPLICIT NONE
@@ -25,20 +25,19 @@
    PUBLIC   p4z_micro_init    ! called in trcsms_pisces.F90
 
-   !! * Shared module variables
-   REAL(wp), PUBLIC ::  part        !: part of calcite not dissolved in microzoo guts
-   REAL(wp), PUBLIC ::  xpref2c     !: microzoo preference for POC 
-   REAL(wp), PUBLIC ::  xpref2p     !: microzoo preference for nanophyto
-   REAL(wp), PUBLIC ::  xpref2d     !: microzoo preference for diatoms
-   REAL(wp), PUBLIC ::  xthreshdia  !: diatoms feeding threshold for microzooplankton 
-   REAL(wp), PUBLIC ::  xthreshphy  !: nanophyto threshold for microzooplankton 
-   REAL(wp), PUBLIC ::  xthreshpoc  !: poc threshold for microzooplankton 
-   REAL(wp), PUBLIC ::  xthresh     !: feeding threshold for microzooplankton 
-   REAL(wp), PUBLIC ::  resrat      !: exsudation rate of microzooplankton
-   REAL(wp), PUBLIC ::  mzrat       !: microzooplankton mortality rate 
-   REAL(wp), PUBLIC ::  grazrat     !: maximal microzoo grazing rate
-   REAL(wp), PUBLIC ::  xkgraz      !: non assimilated fraction of P by microzoo 
-   REAL(wp), PUBLIC ::  unass       !: Efficicency of microzoo growth 
-   REAL(wp), PUBLIC ::  sigma1      !: Fraction of microzoo excretion as DOM 
-   REAL(wp), PUBLIC ::  epsher      !: half sturation constant for grazing 1 
+   REAL(wp), PUBLIC ::   part        !: part of calcite not dissolved in microzoo guts
+   REAL(wp), PUBLIC ::   xpref2c     !: microzoo preference for POC 
+   REAL(wp), PUBLIC ::   xpref2p     !: microzoo preference for nanophyto
+   REAL(wp), PUBLIC ::   xpref2d     !: microzoo preference for diatoms
+   REAL(wp), PUBLIC ::   xthreshdia  !: diatoms feeding threshold for microzooplankton 
+   REAL(wp), PUBLIC ::   xthreshphy  !: nanophyto threshold for microzooplankton 
+   REAL(wp), PUBLIC ::   xthreshpoc  !: poc threshold for microzooplankton 
+   REAL(wp), PUBLIC ::   xthresh     !: feeding threshold for microzooplankton 
+   REAL(wp), PUBLIC ::   resrat      !: exsudation rate of microzooplankton
+   REAL(wp), PUBLIC ::   mzrat       !: microzooplankton mortality rate 
+   REAL(wp), PUBLIC ::   grazrat     !: maximal microzoo grazing rate
+   REAL(wp), PUBLIC ::   xkgraz      !: non assimilated fraction of P by microzoo 
+   REAL(wp), PUBLIC ::   unass       !: Efficicency of microzoo growth 
+   REAL(wp), PUBLIC ::   sigma1      !: Fraction of microzoo excretion as DOM 
+   REAL(wp), PUBLIC ::   epsher      !: half sturation constant for grazing 1 
 
    !!----------------------------------------------------------------------
@@ -57,6 +56,6 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
-      INTEGER, INTENT(in) ::  kt  ! ocean time step
-      INTEGER, INTENT(in) ::  knt 
+      INTEGER, INTENT(in) ::   kt    ! ocean time step
+      INTEGER, INTENT(in) ::   knt   ! ??? 
       !
       INTEGER  :: ji, jj, jk
@@ -185,5 +184,5 @@
       ENDIF
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('micro')")
          CALL prt_ctl_trc_info(charout)
@@ -215,32 +214,35 @@
       !!----------------------------------------------------------------------
       !
+      IF(lwp) THEN
+         WRITE(numout,*) 
+         WRITE(numout,*) 'p4z_micro_init : Initialization of microzooplankton parameters'
+         WRITE(numout,*) '~~~~~~~~~~~~~~'
+      ENDIF
+      !
       REWIND( numnatp_ref )              ! Namelist nampiszoo in reference namelist : Pisces microzooplankton
       READ  ( numnatp_ref, namp4zzoo, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp4zzoo in reference namelist', lwp )
-      !
+901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namp4zzoo in reference namelist', lwp )
       REWIND( numnatp_cfg )              ! Namelist nampiszoo in configuration namelist : Pisces microzooplankton
       READ  ( numnatp_cfg, namp4zzoo, IOSTAT = ios, ERR = 902 )
-902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namp4zzoo in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, namp4zzoo )
+902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namp4zzoo in configuration namelist', lwp )
+      IF(lwm) WRITE( numonp, namp4zzoo )
       !
       IF(lwp) THEN                         ! control print
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' Namelist parameters for microzooplankton, namp4zzoo'
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
-         WRITE(numout,*) '    part of calcite not dissolved in microzoo guts  part        =', part
-         WRITE(numout,*) '    microzoo preference for POC                     xpref2c     =', xpref2c
-         WRITE(numout,*) '    microzoo preference for nano                    xpref2p     =', xpref2p
-         WRITE(numout,*) '    microzoo preference for diatoms                 xpref2d     =', xpref2d
-         WRITE(numout,*) '    diatoms feeding threshold  for microzoo         xthreshdia  =', xthreshdia
-         WRITE(numout,*) '    nanophyto feeding threshold for microzoo        xthreshphy  =', xthreshphy
-         WRITE(numout,*) '    poc feeding threshold for microzoo              xthreshpoc  =', xthreshpoc
-         WRITE(numout,*) '    feeding threshold for microzooplankton          xthresh     =', xthresh
-         WRITE(numout,*) '    exsudation rate of microzooplankton             resrat      =', resrat
-         WRITE(numout,*) '    microzooplankton mortality rate                 mzrat       =', mzrat
-         WRITE(numout,*) '    maximal microzoo grazing rate                   grazrat     =', grazrat
-         WRITE(numout,*) '    non assimilated fraction of P by microzoo       unass       =', unass
-         WRITE(numout,*) '    Efficicency of microzoo growth                  epsher      =', epsher
-         WRITE(numout,*) '    Fraction of microzoo excretion as DOM           sigma1      =', sigma1
-         WRITE(numout,*) '    half sturation constant for grazing 1           xkgraz      =', xkgraz
+         WRITE(numout,*) '   Namelist : namp4zzoo'
+         WRITE(numout,*) '      part of calcite not dissolved in microzoo guts  part        =', part
+         WRITE(numout,*) '      microzoo preference for POC                     xpref2c     =', xpref2c
+         WRITE(numout,*) '      microzoo preference for nano                    xpref2p     =', xpref2p
+         WRITE(numout,*) '      microzoo preference for diatoms                 xpref2d     =', xpref2d
+         WRITE(numout,*) '      diatoms feeding threshold  for microzoo         xthreshdia  =', xthreshdia
+         WRITE(numout,*) '      nanophyto feeding threshold for microzoo        xthreshphy  =', xthreshphy
+         WRITE(numout,*) '      poc feeding threshold for microzoo              xthreshpoc  =', xthreshpoc
+         WRITE(numout,*) '      feeding threshold for microzooplankton          xthresh     =', xthresh
+         WRITE(numout,*) '      exsudation rate of microzooplankton             resrat      =', resrat
+         WRITE(numout,*) '      microzooplankton mortality rate                 mzrat       =', mzrat
+         WRITE(numout,*) '      maximal microzoo grazing rate                   grazrat     =', grazrat
+         WRITE(numout,*) '      non assimilated fraction of P by microzoo       unass       =', unass
+         WRITE(numout,*) '      Efficicency of microzoo growth                  epsher      =', epsher
+         WRITE(numout,*) '      Fraction of microzoo excretion as DOM           sigma1      =', sigma1
+         WRITE(numout,*) '      half sturation constant for grazing 1           xkgraz      =', xkgraz
       ENDIF
       !
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmort.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmort.F90	(revision 9125)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zmort.F90	(revision 9169)
@@ -7,13 +7,13 @@
    !!             2.0  !  2007-12  (C. Ethe, G. Madec)  F90
    !!----------------------------------------------------------------------
-   !!   p4z_mort       :   Compute the mortality terms for phytoplankton
-   !!   p4z_mort_init  :   Initialize the mortality params for phytoplankton
-   !!----------------------------------------------------------------------
-   USE oce_trc         !  shared variables between ocean and passive tracers
-   USE trc             !  passive tracers common variables 
-   USE sms_pisces      !  PISCES Source Minus Sink variables
-   USE p4zprod         !  Primary productivity 
-   USE p4zlim          !  Phytoplankton limitation terms
-   USE prtctl_trc      !  print control for debugging
+   !!   p4z_mort       : Compute the mortality terms for phytoplankton
+   !!   p4z_mort_init  : Initialize the mortality params for phytoplankton
+   !!----------------------------------------------------------------------
+   USE oce_trc         ! shared variables between ocean and passive tracers
+   USE trc             ! passive tracers common variables 
+   USE sms_pisces      ! PISCES Source Minus Sink variables
+   USE p4zprod         ! Primary productivity 
+   USE p4zlim          ! Phytoplankton limitation terms
+   USE prtctl_trc      ! print control for debugging
 
    IMPLICIT NONE
@@ -23,10 +23,9 @@
    PUBLIC   p4z_mort_init    
 
-   !! * Shared module variables
-   REAL(wp), PUBLIC :: wchl    !:
-   REAL(wp), PUBLIC :: wchld   !:
-   REAL(wp), PUBLIC :: wchldm  !:
-   REAL(wp), PUBLIC :: mprat   !:
-   REAL(wp), PUBLIC :: mprat2  !:
+   REAL(wp), PUBLIC ::   wchl     !:
+   REAL(wp), PUBLIC ::   wchld    !:
+   REAL(wp), PUBLIC ::   wchldm   !:
+   REAL(wp), PUBLIC ::   mprat    !:
+   REAL(wp), PUBLIC ::   mprat2   !:
 
    !!----------------------------------------------------------------------
@@ -35,5 +34,4 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -49,9 +47,9 @@
       INTEGER, INTENT(in) ::   kt ! ocean time step
       !!---------------------------------------------------------------------
-
+      !
       CALL p4z_nano            ! nanophytoplankton
-
+      !
       CALL p4z_diat            ! diatoms
-
+      !
    END SUBROUTINE p4z_mort
 
@@ -65,14 +63,14 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
-      INTEGER  :: ji, jj, jk
-      REAL(wp) :: zsizerat, zcompaph
-      REAL(wp) :: zfactfe, zfactch, zprcaca, zfracal
-      REAL(wp) :: ztortp , zrespp , zmortp 
-      CHARACTER (len=25) :: charout
+      INTEGER  ::   ji, jj, jk
+      REAL(wp) ::   zsizerat, zcompaph
+      REAL(wp) ::   zfactfe, zfactch, zprcaca, zfracal
+      REAL(wp) ::   ztortp , zrespp , zmortp 
+      CHARACTER (len=25) ::   charout
       !!---------------------------------------------------------------------
       !
       IF( ln_timing )   CALL timing_start('p4z_nano')
       !
-      prodcal(:,:,:) = 0.  !: calcite production variable set to zero
+      prodcal(:,:,:) = 0._wp   ! calcite production variable set to zero
       DO jk = 1, jpkm1
          DO jj = 1, jpj
@@ -139,14 +137,13 @@
       !! ** Method  : - ???
       !!---------------------------------------------------------------------
-      INTEGER  ::  ji, jj, jk
-      REAL(wp) ::  zfactfe,zfactsi,zfactch, zcompadi
-      REAL(wp) ::  zrespp2, ztortp2, zmortp2
-      REAL(wp) ::  zlim2, zlim1
-      CHARACTER (len=25) :: charout
+      INTEGER  ::   ji, jj, jk
+      REAL(wp) ::   zfactfe,zfactsi,zfactch, zcompadi
+      REAL(wp) ::   zrespp2, ztortp2, zmortp2
+      REAL(wp) ::   zlim2, zlim1
+      CHARACTER (len=25) ::   charout
       !!---------------------------------------------------------------------
       !
       IF( ln_timing )   CALL timing_start('p4z_diat')
       !
-
       !    Aggregation term for diatoms is increased in case of nutrient
       !    stress as observed in reality. The stressed cells become more
@@ -196,5 +193,5 @@
       END DO
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('diat')")
          CALL prt_ctl_trc_info(charout)
@@ -214,5 +211,5 @@
       !!
       !! ** Method  :   Read the nampismort namelist and check the parameters
-      !!      called at the first timestep
+      !!              called at the first timestep
       !!
       !! ** input   :   Namelist nampismort
@@ -224,22 +221,25 @@
       !!----------------------------------------------------------------------
       !
+      IF(lwp) THEN
+         WRITE(numout,*) 
+         WRITE(numout,*) 'p4z_mort_init : Initialization of phytoplankton mortality parameters'
+         WRITE(numout,*) '~~~~~~~~~~~~~'
+      ENDIF
+      !
       REWIND( numnatp_ref )              ! Namelist nampismort in reference namelist : Pisces phytoplankton
       READ  ( numnatp_ref, namp4zmort, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp4zmort in reference namelist', lwp )
-      !
+901   IF( ios /= 0 )   CALL ctl_nam ( ios , 'namp4zmort in reference namelist', lwp )
       REWIND( numnatp_cfg )              ! Namelist nampismort in configuration namelist : Pisces phytoplankton
       READ  ( numnatp_cfg, namp4zmort, IOSTAT = ios, ERR = 902 )
-902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namp4zmort in configuration namelist', lwp )
-      IF(lwm) WRITE ( numonp, namp4zmort )
+902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namp4zmort in configuration namelist', lwp )
+      IF(lwm) WRITE( numonp, namp4zmort )
       !
       IF(lwp) THEN                         ! control print
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' Namelist parameters for phytoplankton mortality, namp4zmort'
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~'
-         WRITE(numout,*) '    quadratic mortality of phytoplankton      wchl      =', wchl
-         WRITE(numout,*) '    maximum quadratic mortality of diatoms    wchld     =', wchld
-         WRITE(numout,*) '    maximum quadratic mortality of diatoms    wchldm    =', wchldm
-         WRITE(numout,*) '    phytoplankton mortality rate              mprat     =', mprat
-         WRITE(numout,*) '    Diatoms mortality rate                    mprat2    =', mprat2
+         WRITE(numout,*) '   Namelist : namp4zmort'
+         WRITE(numout,*) '      quadratic mortality of phytoplankton        wchl   =', wchl
+         WRITE(numout,*) '      maximum quadratic mortality of diatoms      wchld  =', wchld
+         WRITE(numout,*) '      maximum quadratic mortality of diatoms      wchldm =', wchldm
+         WRITE(numout,*) '      phytoplankton mortality rate                mprat  =', mprat
+         WRITE(numout,*) '      Diatoms mortality rate                      mprat2 =', mprat2
       ENDIF
       !
